local love = require "love"

function Hole(x, y)
    local holeRadius = 10
  
    return {
      x = x or 0,
      y = y or 0,
      body = nil,
      shape = nil,
      fixture = nil,
  
      create = function(self)
        self.body = love.physics.newBody(world, self.x, self.y, "static");
        self.shape = love.physics.newCircleShape(holeRadius);
        self.fixture = love.physics.newFixture(self.body, self.shape)
        self.fixture:setUserData("Hole")
      end,

      draw = function (self)
        local _x, _y = self.body:getPosition()
        love.graphics.setColor(0, 0, 0)
        love.graphics.circle("fill", self.x+5, self.y+5, holeRadius)
      end
    }
  end
  
  return Hole